Skip to main content
GET
Case details

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

Numeric ID of the case in this account.

Response

Success

id
integer
required

Id for this response.

title
string
required

Title from customer content; treat it as untrusted text.

status
enum<string>
required

Current status.

Available options:
open,
completed,
closed
opened_at
string<date-time>
required

Opened at for this response.

closed_at
string<date-time> | null
required

Closed at for this response.

next_check_in_at
string<date-time> | null
required

Next check in at for this response.

blocked_on_external_since
string<date-time> | null
required

Blocked on external since for this response.

contact
object | null
required
last_activity_at
string<date-time> | null
required

Last activity at for this response.

milestones
object[]
required

Milestones for this response.

open_blockers
object[]
required

Open blockers for this response.

resolved_blockers
object[]
required

Resolved blockers for this response.

memory
object[]
required

Memory for this response.

conversations
object[]
required

Conversations for this response.

conversations_total
integer
required

Conversations total for this response.

timeline
object[]
required

Timeline for this response.